Package org.apache.batchee.jaxb

## Class JSLJob

- java.lang.Object
- - org.apache.batchee.jaxb.JSLJob

-     public class JSLJob
      extends Object

  The type of a job definition, whether concrete or abstract. This is the type of the root element of any JSL document.

  Java class for Job complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="Job">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="properties" type="{http://xmlns.jcp.org/xml/ns/javaee}Properties" minOccurs="0"/>
               <element name="listeners" type="{http://xmlns.jcp.org/xml/ns/javaee}Listeners" minOccurs="0"/>
               <choice maxOccurs="unbounded" minOccurs="0">
                 <element name="decision" type="{http://xmlns.jcp.org/xml/ns/javaee}Decision"/>
                 <element name="flow" type="{http://xmlns.jcp.org/xml/ns/javaee}Flow"/>
                 <element name="split" type="{http://xmlns.jcp.org/xml/ns/javaee}Split"/>
                 <element name="step" type="{http://xmlns.jcp.org/xml/ns/javaee}Step"/>
               </choice>
             </sequence>
             <attribute name="version" use="required" type="{http://www.w3.org/2001/XMLSchema}string" fixed="1.0" />
             <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="restartable" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<ExecutionElement>` | `executionElements` |
    `protected String` | `id` |
    `protected Listeners` | `listeners` |
    `protected JSLProperties` | `properties` |
    `protected String` | `restartable` |
    `protected String` | `version` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JSLJob()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<ExecutionElement>` | `getExecutionElements()` | Gets the value of the executionElements property.
    `String` | `getId()` | Gets the value of the id property.
    `Listeners` | `getListeners()` | Gets the value of the listeners property.
    `JSLProperties` | `getProperties()` | Gets the value of the properties property.
    `String` | `getRestartable()` | Gets the value of the restartable property.
    `String` | `getVersion()` | Gets the value of the version property.
    `void` | `setId​(String value)` | Sets the value of the id property.
    `void` | `setListeners​(Listeners value)` | Sets the value of the listeners property.
    `void` | `setProperties​(JSLProperties value)` | Sets the value of the properties property.
    `void` | `setRestartable​(String value)` | Sets the value of the restartable property.
    `void` | `setVersion​(String value)` | Sets the value of the version property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### properties

          protected JSLProperties properties

    - #### listeners

          protected Listeners listeners

    - #### executionElements

          protected List<ExecutionElement> executionElements

    - #### version

          protected String version

    - #### id

          protected String id

    - #### restartable

          protected String restartable

  - ### Constructor Detail

    - #### JSLJob

          public JSLJob()

  - ### Method Detail

    - #### getProperties

          public JSLProperties getProperties()

      Gets the value of the properties property.
      Returns:
        possible object is `JSLProperties`

    - #### setProperties

          public void setProperties​(JSLProperties value)

      Sets the value of the properties property.
      Parameters:
        `value` - allowed object is `JSLProperties`

    - #### getListeners

          public Listeners getListeners()

      Gets the value of the listeners property.
      Returns:
        possible object is `Listeners`

    - #### setListeners

          public void setListeners​(Listeners value)

      Sets the value of the listeners property.
      Parameters:
        `value` - allowed object is `Listeners`

    - #### getExecutionElements

          public List<ExecutionElement> getExecutionElements()

      Gets the value of the executionElements property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the executionElements property.

      For example, to add a new item, do as follows:

              getExecutionElements().add(newItem);

      Objects of the following type(s) are allowed in the list `Flow` `Step` `Split` `Decision`

    - #### getVersion

          public String getVersion()

      Gets the value of the version property.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion​(String value)

      Sets the value of the version property.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId​(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRestartable

          public String getRestartable()

      Gets the value of the restartable property.
      Returns:
        possible object is `String`

    - #### setRestartable

          public void setRestartable​(String value)

      Sets the value of the restartable property.
      Parameters:
        `value` - allowed object is `String`